libnvme(2)

NAME
enum nvmf_addr_family - Address Family codes for Discovery Log Page entry ADRFAM field

SYNOPSIS
enum nvmf_addr_family {
NVMF_ADDR_FAMILY_PCI ,
NVMF_ADDR_FAMILY_IP4 ,
NVMF_ADDR_FAMILY_IP6 ,
NVMF_ADDR_FAMILY_IB ,
NVMF_ADDR_FAMILY_FC ,
NVMF_ADDR_FAMILY_LOOP

};

Constants

NVMF_ADDR_FAMILY_PCI
    PCIe

NVMF_ADDR_FAMILY_IP4
    AF_INET: IPv4 address family.

NVMF_ADDR_FAMILY_IP6
    AF_INET6: IPv6 address family.

NVMF_ADDR_FAMILY_IB
    AF_IB: InfiniBand address family.

NVMF_ADDR_FAMILY_FC
    Fibre Channel address family.

NVMF_ADDR_FAMILY_LOOP
    Intra-host Transport (i.e., loopback), reserved for host usage.